<p class="topic">
Edit Smart Referrals
</p>

<p class="text">
Use this tab to configure <em>smart</em> referrals. Smart referrals allow you to map a directory entry or directory tree to a specific LDAP URL. Using smart referrals, you can refer client applications to a specific server or a specific entry on a specific server.
</p>

<p class="text">
<b>Enable Smart Referrals. </b>Check this option to define smart referrals for the selected entry. Unchecking the option removes all smart referrals from the entry and deletes <code>objectclass: referral</code>.
</p>

<p class="text">
<b>Smart Referral List. </b>Lists the referrals currently in place for the selected entry. The entire list of referrals is returned to client applications in response to a request, when you select Referral or Referral on Update in the Suffix Settings tab. 
</p>

<p class="text">
To modify the list, click Edit to edit the selected referral or Delete to delete the selected referral.
</p>

<p class="text">
<b>Enter a new Smart Referral. </b>Enter a referral in the LDAP URL format and then click Add to add the referral to the list. The LDAP URL to which you want to refer client application requests must be in the following format:
</p>

<p class="text">
<code>ldap://</code><span class="variable">hostname</span><code>:</code><span class="variable">portnumber</span><code>/[</code><span class="variable">optional_dn</span><code>]</code>
</p>

<p class="text">
where <span class="variable">[optional_dn]</span> is the explicit DN you want the server to return to the requesting client application. For example, you might enter an LDAP URL as follows:
</p>

<p class="text">
<code>ldap://directory.example.com:389/cn=jdoe,ou=people,dc=example,dc=com</code>
</p>

<p class="text">
You may also click Construct to be guided through the process of adding a referral.
</p>

<p class="text">
To allow a referral to be followed with different authentication, click Authentication and specify the appropriate DN and password. Keep in mind that this authentication remains valid only until the console is closed; then, it's reset to the same authentication used to log into the console.
</p>
